SATALINK(4) | Device Drivers Manual | SATALINK(4)

# NAME

`satalink` — Silicon Image SATALink disk controller driver

# SYNOPSIS

`satalink* at pci? dev ? function ? flags 0x0000`

# DESCRIPTION

The `satalink` driver supports the Silicon Image SATALink 3112 2-port and 3114 4-port Serial ATA controllers, and provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the `satalink` driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the SATA controller is wired up to the system incorrectly.

# SEE ALSO

ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

December 19, 2003 | NetBSD 10.99